2019-10-16 12:29 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002399FSSCPturretspublic2011-02-14 03:33
ReporterVA 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.14 
Summary0002399: Turrets with 'untargetable' and/or 'damage as hull' flags shouldn't count for disarming purposes.
DescriptionFrom an IRC chat with Goob;
A ship should be considered disarmed when all targetable AND killable turrets have been destroyed - which these subsystem flags would interfere with. We've not tested to check whether it already happens this way, but more than likely it doesn't. :)

Hmm this would also affect engines actually - if an engine subsystem is unkillable, then the ship would be impossible to disable.

But yeah as far as I can tell it's just those two:
"untargetable"
"damage as hull"
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012625

Goober5000 (administrator)

Unfortunately, both of those flags have certain complicating effects which makes this not ideal. So I've added a new flag, "no aggregate". This has been committed to trunk as of version 7014.
+Notes

-Issue History
Date Modified Username Field Change
2011-02-13 23:57 VA New Issue
2011-02-14 00:00 Goober5000 Status new => assigned
2011-02-14 00:00 Goober5000 Assigned To => Goober5000
2011-02-14 03:33 Goober5000 Note Added: 0012625
2011-02-14 03:33 Goober5000 Status assigned => resolved
2011-02-14 03:33 Goober5000 Resolution open => fixed
2011-02-14 03:33 Goober5000 Fixed in Version => 3.6.14
+Issue History